VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "VB5 Example"
   ClientHeight    =   3750
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   6105
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   3750
   ScaleWidth      =   6105
   Begin VB.TextBox Msg 
      Height          =   285
      Left            =   240
      TabIndex        =   11
      Top             =   1560
      Width           =   5535
   End
   Begin VB.CommandButton Quit 
      Caption         =   "Quit"
      Height          =   300
      Left            =   240
      TabIndex        =   0
      Top             =   3120
      Width           =   1335
   End
   Begin VB.CommandButton Version 
      Caption         =   "Version"
      Height          =   300
      Left            =   240
      TabIndex        =   1
      Top             =   2760
      Width           =   1335
   End
   Begin VB.CommandButton DBName 
      Caption         =   "Lock Wait"
      Height          =   300
      Left            =   240
      TabIndex        =   10
      Top             =   2400
      Width           =   1335
   End
   Begin VB.CommandButton Disconnect 
      Caption         =   "Disconnect"
      Height          =   300
      Left            =   240
      TabIndex        =   9
      Top             =   1920
      Width           =   1335
   End
   Begin VB.CommandButton Fetch 
      Caption         =   "Fetch"
      Height          =   300
      Left            =   240
      TabIndex        =   8
      Top             =   1200
      Width           =   1335
   End
   Begin VB.TextBox TB_Name 
      Height          =   300
      Left            =   3120
      TabIndex        =   7
      Top             =   1200
      Width           =   2610
   End
   Begin VB.TextBox Creator 
      Height          =   300
      Left            =   1680
      TabIndex        =   6
      Top             =   1200
      Width           =   1260
   End
   Begin VB.CommandButton Execute 
      Caption         =   "Execute"
      Height          =   300
      Left            =   240
      TabIndex        =   3
      Top             =   840
      Width           =   1335
   End
   Begin VB.CommandButton Connect 
      Caption         =   "Connect"
      Height          =   300
      Left            =   240
      TabIndex        =   2
      Top             =   480
      Width           =   1335
   End
   Begin VB.Frame Frame1 
      Caption         =   "VB 5 with 32 Bit SQLBase (SQLWNTM.DLL)"
      Height          =   3495
      Left            =   120
      TabIndex        =   12
      Top             =   120
      Width           =   5895
   End
   Begin VB.Label Label2 
      Caption         =   "Table Name"
      Height          =   210
      Left            =   4560
      TabIndex        =   5
      Top             =   1590
      Width           =   1065
   End
   Begin VB.Label Label1 
      Caption         =   "Creator"
      Height          =   210
      Left            =   3045
      TabIndex        =   4
      Top             =   1590
      Width           =   690
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub Connect_Click()
    rc% = sqlini(ByVal 0&)
    If rc% = 0 Then
        Msg.Text = "SQLINI Successful for cursor " + Str$(cursor)
    End If
    Rem rc%=sqlcnc(cursor,<dbname/user/password>,0)
    rc% = sqlcnc(cursor, "ISLAND/SYSADM/SYSADM", 0)
    If rc% = 0 Then
        Msg.Text = "Connect Successful for cursor " + Str$(cursor)
    Else
        a$ = Str$(rc%)
        Msg.Text = "Connect failed - " + a$
    End If
End Sub


Private Sub DBName_Click()
    rc% = sqlget(cursor, 3002, wait&, 0)
    If rc% = 0 Then
        Msg.Text = "Cursor " + Str$(cursor) + " will wait " + Str$(wait&) + " seconds for a lock"
    End If

End Sub


Private Sub Disconnect_Click()
    rc% = sqldis(cursor)
    If rc% = 0 Then
        Msg.Text = "Disconnect Successful for cursor " + Str$(cursor)
        cursor = 0
    End If

End Sub


Private Sub Execute_Click()
    rc% = sqlcom(cursor, "select creator, name from sysadm.systables order by 2", 0)
    If rc% = 0 Then
        Msg.Text = "Compile Successful"
        rc% = sqlexe(cursor)
        If rc% = 0 Then
            Msg.Text = "Execute Successful"
        End If
    End If

End Sub


Private Sub Fetch_Click()
Dim ByteArray1(256) As Byte
Dim ByteArray2(256) As Byte
Dim TempVar As Variant

rc% = sqlssbstr(cursor, 1, 2, ByteArray1(0), 255, 0, cvl1%, fsc1%)
rc% = sqlssbstr(cursor, 2, 2, ByteArray2(0), 255, 0, cvl1%, fsc1%)

   rc% = sqlfet(cursor)
   
    If rc% = 0 Then
        Msg.Text = "Fetch Successful"
        'After a Fetch the ByteArray holds the result.
        'In order to use that result as a string you have to convert it:
        TempVar = ByteArray1()
        Creator.Text = StrConv(TempVar, vbUnicode)
        TempVar = ByteArray2()
        TB_Name.Text = StrConv(TempVar, vbUnicode)
    Else
        If rc% = 1 Then
            Msg.Text = "No more rows to fetch"
            Creator.Text = ""
            TB_Name.Text = ""
        Else
            Msg.Text = "Fetch failed with rc = " + Str$(rc%)
        End If
    End If

End Sub


Private Sub Quit_Click()
    If cursor <> 0 Then
        rc% = sqldon()
        If rc% = 0 Then
           Msg.Text = "SQLDON executed - rollback performed"
           cursor = 0
        End If
    Else
        End
    End If
    End
End Sub

Private Sub Version_Click()
    Dim pbuf As String * 130
    namel% = Len(pbuf) - 1
    rc% = sqlget(cursor, 1004, ByVal pbuf, namel%)
    If rc% = 0 Then
        Msg.Text = "SQLBase Version " + pbuf$
    End If

End Sub


